# This file is in the public domain
install_data('anastasis.conf', install_dir: pkgcfgdir)

anastasis_httpd_SOURCES = [
    'anastasis-httpd.c',
    'anastasis-httpd_mhd.c',
    'anastasis-httpd_policy.c',
    'anastasis-httpd_policy-meta.c',
    'anastasis-httpd_policy-upload.c',
    'anastasis-httpd_terms.c',
    'anastasis-httpd_config.c',
    'anastasis-httpd_truth-challenge.c',
    'anastasis-httpd_truth-solve.c',
    'anastasis-httpd_truth-upload.c',
]

executable(
    'anastasis-httpd',
    anastasis_httpd_SOURCES,
    dependencies: [
        libanastasisutil_dep,
        libanastasisdb_dep,
        libanastasisauthorization_dep,
        talermerchant_dep,
        talermhd_dep,
        talerjson_dep,
        json_dep,
        gnunetutil_dep,
        gnunetcurl_dep,
        gnunetjson_dep,
        mhd_dep,
        talerutil_dep,
    ],
    include_directories: [incdir, configuration_inc],
    install: true,
)
